.portfolio__container-items {
    position: relative
}

.portfolio__container-items.hidden {
    visibility: hidden
}

.portfolio__container-items.no-items::after {
    content: var(--no-items-text);
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: calc(var(--items-height)/2)
}

.portfolio__category-bar {
    font-family: var(--category-bar-font-family);
    font-size: var(--category-bar-font-size);
    font-weight: var(--category-bar-font-weight);
    font-style: var(--category-bar-font-style);
    background-color: var(--category-bar-background-color);
    padding: var(--category-bar-padding);
    box-shadow: var(--category-bar-shadow);
    border-top: var(--category-bar-border-top);
    border-inline-end:var(--category-bar-border-right);border-bottom: var(--category-bar-border-bottom);
    border-inline-start:var(--category-bar-border-left);border-start-start-radius: var(--category-bar-border-start-start-radius);
    border-start-end-radius: var(--category-bar-border-start-end-radius);
    border-end-start-radius: var(--category-bar-border-end-start-radius);
    border-end-end-radius: var(--category-bar-border-end-end-radius);
    margin-bottom: var(--margin-bars-bottom)
}

.portfolio__category-bar__nav {
    list-style: none;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0;
    padding: 0
}

.portfolio__category-bar__nav li {
    display: flex;
    margin: 0 .5em
}

.portfolio__category-bar__nav li>a {
    padding: .5em 1em;
    text-decoration: none;
    color: var(--category-bar-item-idle-color)
}

.portfolio__category-bar__nav li>a:hover,.portfolio__category-bar__nav li>a.active {
    color: var(--category-bar-item-active-color);
    background: var(--category-bar-item-active-background-color)
}

.portfolio__search-bar {
    font-family: var(--search-bar-font-family);
    font-size: var(--search-bar-font-size);
    font-weight: var(--search-bar-font-weight);
    font-style: var(--search-bar-font-style);
    background-color: var(--search-bar-background-color);
    padding: var(--search-bar-padding);
    color: var(--search-bar-color);
    box-shadow: var(--search-bar-shadow);
    border-top: var(--search-bar-border-top);
    border-inline-end:var(--search-bar-border-right);border-bottom: var(--search-bar-border-bottom);
    border-inline-start:var(--search-bar-border-left);border-start-start-radius: var(--search-bar-border-start-start-radius);
    border-start-end-radius: var(--search-bar-border-start-end-radius);
    border-end-start-radius: var(--search-bar-border-end-start-radius);
    border-end-end-radius: var(--search-bar-border-end-end-radius);
    margin-bottom: var(--margin-bars-bottom);
    display: flex;
    justify-content: space-between;
    align-items: center
}

.portfolio__search-bar__search-field {
    width: 15.5em;
    position: relative;
    height: 100%;
    max-width: 40%
}

#imPage .portfolio__search-bar__search-field>input {
    box-sizing: border-box;
    font-size: inherit;
    font-family: inherit;
    background-color: rgba(255,255,255,.8);
    color: var(--search-bar-color);
    border: 1px solid var(--search-bar-color);
    padding: 10px;
    padding-inline-start:5px;padding-inline-end:40px;width: 100%;
    outline: 0;
    border-radius: 0;
    box-shadow: none
}

.portfolio__search-bar__search-field__img {
    position: absolute;
    inset-inline-end: 0;
    bottom: 0;
    width: 40px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center
}

.portfolio__search-bar__search-field__img>svg {
    height: 1.5em;
    max-height: 30px;
    fill: var(--search-bar-color)
}

.portfolio__search-bar__sort-field {
    color: var(--search-bar-color);
    cursor: pointer;
    display: flex;
    align-items: center
}

.portfolio__search-bar__sort-field ul {
    list-style: none;
    padding: 0;
    margin: 0
}

.portfolio__search-bar__sort-field li {
    box-sizing: border-box;
    position: relative;
    display: flex
}

.portfolio__search-bar__sort-field__text svg {
    fill: var(--search-bar-color);
    margin: 0;
    margin-inline-start:.5em;vertical-align: middle;
    cursor: pointer
}

.portfolio__search-bar__sort-field__text {
    padding: 0 .6em;
    align-items: center;
    text-align: end
}

.portfolio__search-bar__sort-field__text label {
    cursor: pointer;
    margin-inline-end:5px}

.portfolio__search-bar__sort-field__dropdown li {
    padding: .6em
}

.portfolio__search-bar__sort-field__dropdown ul {
    background-color: #fff;
    color: #282828;
    width: 100%;
    position: absolute;
    z-index: 99;
    overflow: hidden
}

.portfolio__search-bar__sort-field__dropdown ul {
    display: none;
    max-height: 0;
    transition: max-height .1s ease-out
}

.portfolio__search-bar__sort-field__dropdown ul.open {
    display: block;
    max-height: 9999px;
    border: 1px solid var(--search-bar-color);
    transition: max-height 2s ease-in-out
}

.portfolio__card {
    color: var(--items-color);
    font-family: var(--items-font-family);
    font-size: var(--items-font-size);
    font-weight: var(--items-font-weight);
    font-style: var(--items-font-style);
    border-start-start-radius: var(--items-border-start-start-radius);
    border-start-end-radius: var(--items-border-start-end-radius);
    border-end-start-radius: var(--items-border-end-start-radius);
    border-end-end-radius: var(--items-border-end-end-radius);
    position: absolute;
    display: flex
}

.portfolio__content {
    position: relative;
    width: 100%;
    height: 100%
}

.portfolio__content>img {
    display: block;
    object-fit: cover;
    width: 100%;
    height: 100%
}

.portfolio__card__bottom-bar {
    background-color: var(--items-background-color);
    position: absolute;
    bottom: 0;
    inset-inline-start: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    padding: 5px
}

.portfolio__card__bottom-bar>div {
    padding: 5px
}

.portfolio__card.showOverlay .portfolio__card__bottom-bar {
    opacity: 0
}

.portfolio__card__bottom-bar__date {
    font-size: .8em
}

.portfolio__card__bottom-bar__title {
    white-space: nowrap;
    margin-inline-end:30px}

.portfolio__card__overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    bottom: 0;
    box-sizing: border-box;
    overflow: hidden
}

.portfolio__card__overlay__content {
    font-family: var(--items-overlay-description-font-family);
    font-size: var(--items-overlay-description-font-size);
    font-weight: var(--items-overlay-description-font-weight);
    font-style: var(--items-overlay-description-font-style);
    color: var(--items-overlay-description-color);
    background-color: var(--items-overlay-background-color);
    padding: var(--padding-overlay);
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    box-sizing: border-box;
    will-change: transform
}

.portfolio__card__overlay__title,.portfolio__card__overlay__description {
    padding-inline:4px}

.portfolio__card__overlay__title {
    font-size: 1.2em;
    font-weight: bold
}

.portfolio__card__overlay__content>div {
    text-align: center;
    margin: 3px 0;
    flex-shrink: 0;
    overflow: hidden
}

.portfolio__card__overlay__content>div.portfolio__card__overlay__button {
    margin: 4px 0
}

.portfolio__card__overlay__content>.portfolio__card__overlay__description {
    text-align: center;
    margin-bottom: 10px;
    transition: flex .2s linear;
    flex-shrink: 1
}

.portfolio__card__overlay__content>.portfolio__card__overlay__description:hover {
    flex-shrink: 0
}

.portfolio__card__overlay a {
    color: inherit;
    text-decoration: none
}

.portfolio__card__overlay__button {
    font-family: var(--items-button-font-family);
    font-size: var(--items-button-font-size);
    font-weight: var(--items-button-font-weight);
    font-style: var(--items-button-font-style);
    color: var(--items-button-color);
    background-color: var(--items-button-background-color);
    border-top: var(--items-button-border-top);
    border-inline-end:var(--items-button-border-right);border-bottom: var(--items-button-border-bottom);
    border-inline-start:var(--items-button-border-left);border-start-start-radius: var(--items-button-border-start-start-radius);
    border-start-end-radius: var(--items-button-border-start-end-radius);
    border-end-start-radius: var(--items-button-border-end-start-radius);
    border-end-end-radius: var(--items-button-border-end-end-radius);
    transition: background-color .5s ease
}

.portfolio__card__overlay__button>a {
    padding: var(--items-button-margin-ver) var(--items-button-margin-hor);
    display: inline-block
}

.portfolio__card__overlay__button:hover {
    background-color: var(--items-button-background-color-hover);
    cursor: pointer
}

.portfolio__container .portfolio__card {
    overflow: hidden
}

.portfolio__card .portfolio__card__overlay__content,.portfolio__card img {
    transition-delay: var(--effect-delay-out);
    transition-duration: var(--overlay-content-time-normal);
    transition-timing-function: ease-in-out
}

.portfolio__card.showOverlay .portfolio__card__overlay__content,.portfolio__card.showOverlay img {
    transition-delay: 0ms
}

.portfolio__card img {
    transition-property: transform,filter
}

.portfolio__card.portfolio__card .portfolio__card__bottom-bar {
    opacity: 1;
    transition-delay: var(--effect-delay-out);
    transition-property: opacity;
    transition-duration: var(--overlay-content-time-fast);
    transition-timing-function: ease-in-out
}

.portfolio__card.portfolio__card.showOverlay .portfolio__card__bottom-bar {
    transition-delay: 0ms;
    opacity: 0
}

.portfolio__card.overlay-effect-none .portfolio__card__overlay__content {
    opacity: 0;
    transition-duration: 0ms
}

.portfolio__card.showOverlay.overlay-effect-none .portfolio__card__overlay__content {
    opacity: 1
}

.portfolio__card.overlay-effect-none .portfolio__card__bottom-bar {
    transition-duration: 0ms
}

.portfolio__card.overlay-effect-none img {
    transition-property: transform,filter
}

.portfolio__card .portfolio__content .portfolio__card__overlay .portfolio__card__overlay__content.focused {
    transform: translate(0,0) scale(1) rotateX(0) rotateY(0)!important;
    opacity: 1!important
}

.portfolio__card.overlay-effect-fade .portfolio__card__overlay__content {
    opacity: 0;
    transition-property: opacity
}

.portfolio__card.showOverlay.overlay-effect-fade .portfolio__card__overlay__content {
    opacity: 1
}

.portfolio__card.overlay-effect-follow .portfolio__card__overlay__content {
    --overlay-content-time-fast: 0;
    --effect-delay-out: 0;
    transition-property: transform;
    transform: translate(-105%,-105%)
}

.portfolio__card.overlay-effect-appear-top .portfolio__card__overlay__content {
    transition-property: transform;
    transform: translateY(-105%)
}

.portfolio__card.showOverlay.overlay-effect-appear-top .portfolio__card__overlay__content {
    transform: translateY(0)
}

.portfolio__card.overlay-effect-appear-bottom .portfolio__card__overlay__content {
    transition-property: transform;
    transform: translateY(105%)
}

.portfolio__card.showOverlay.overlay-effect-appear-bottom .portfolio__card__overlay__content {
    transform: translateY(0)
}

.portfolio__card.overlay-effect-appear-left .portfolio__card__overlay__content {
    transition-property: transform;
    transform: translateX(-105%)
}

.portfolio__card.showOverlay.overlay-effect-appear-left .portfolio__card__overlay__content {
    transform: translateX(0)
}

.portfolio__card.overlay-effect-appear-right .portfolio__card__overlay__content {
    transition-property: transform;
    transform: translateX(105%)
}

.portfolio__card.showOverlay.overlay-effect-appear-right .portfolio__card__overlay__content {
    transform: translateX(0)
}

.portfolio__card.overlay-effect-appear-central .portfolio__card__overlay__content {
    transition-property: transform,opacity;
    transform: scale(0);
    opacity: 0
}

.portfolio__card.showOverlay.overlay-effect-appear-central .portfolio__card__overlay__content {
    transform: scale(1);
    opacity: 1
}

.portfolio__card.overlay-effect-appear-central-vertical .portfolio__card__overlay__content {
    transition-property: transform;
    transform: rotateX(90deg)
}

.portfolio__card.showOverlay.overlay-effect-appear-central-vertical .portfolio__card__overlay__content {
    transform: rotateX(0)
}

.portfolio__card.overlay-effect-appear-central-horizontal .portfolio__card__overlay__content {
    transition-property: transform;
    transform: rotateY(90deg)
}

.portfolio__card.showOverlay.overlay-effect-appear-central-horizontal .portfolio__card__overlay__content {
    transform: rotateY(0)
}

.portfolio__card.image-effect-zoom img {
    transform: scale(1)
}

.portfolio__card.image-effect-zoom.showOverlay img {
    transform: scale(1.2)
}

.portfolio__card.image-effect-rotate img {
    transform: rotate(0) scale(1)
}

.portfolio__card.image-effect-rotate.showOverlay img {
    transform: rotate(5deg) scale(1.25)
}

.portfolio__card.image-effect-blur img {
    filter: blur(0)
}

.portfolio__card.image-effect-blur.showOverlay img {
    filter: blur(3px)
}

.portfolio__card.image-effect-gray img {
    filter: grayscale(0)
}

.portfolio__card.image-effect-gray.showOverlay img {
    filter: grayscale(100%)
}
